Bug 1503215 - EPEL7 nginx package contains CVE
Summary: EPEL7 nginx package contains CVE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: nginx
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-17 15:20 UTC by Graham Mainwaring
Modified: 2017-11-16 19:07 UTC (History)
12 users (show)

Fixed In Version: nginx-1.12.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-16 19:07:46 UTC


Attachments (Terms of Use)

Description Graham Mainwaring 2017-10-17 15:20:04 UTC
Description of problem:

EPEL7 currently includes nginx 1.10.2, which is vulnerable to CVE-2017-7529, and which will not be patched upstream due to being EOL. Version 1.12.1 is packaged in current Fedora.

Version-Release number of selected component (if applicable):

nginx-1.10.2-2

How reproducible:

Always

Steps to Reproduce:

1. yum install nginx

Actual results:

nginx is version 1.10.2

Expected results:

nginx should be version 1.12.1

Comment 1 Fedora Update System 2017-10-18 08:49:08 UTC
nginx-1.12.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e541e27e9

Comment 2 Fedora Update System 2017-10-18 21:17:24 UTC
nginx-1.12.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1e541e27e9

Comment 3 doldev 2017-10-24 10:33:23 UTC
Will this version end up in one of the next EPEL 7 package releases? I'm curious because the nginx core is updated from 1.10 to 1.12. This might break some deployments due to some possible changes between 1.10 and 1.12.
Is it common practice to update the package instead of backporting the security fix.
The Debian project backported the mitigation [1].

Patch from the CentOS/RHEL software collections [2] and Debian project [3].

[1] http://metadata.ftp-master.debian.org/changelogs/main/n/nginx/nginx_1.10.3-1+deb9u1_changelog
[2] https://cbs.centos.org/koji/fileinfo?rpmID=114379&filename=nginx-1.10.2-CVE-2017-7529.patch
[3] https://anonscm.debian.org/cgit/pkg-nginx/nginx.git/commit/?h=stretch&id=ee65e876ac20c6d0c6725e49cb4d09d72358c21b

Comment 4 Fedora Update System 2017-11-16 19:07:46 UTC
nginx-1.12.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.